#!/usr/bin/perl -w
####################################################################
###
###     script name : downsample.pl
### 	version: 1.0
###		modified by: Ken MacLean
###		mail: kmaclean@voxforge.org
###		Date: 2006.7.20
###     Command: ./FixSVNProperties.pl FilesToBeConverted2mfc
###
### Copyright (C) 2006 Ken MacLean
###
### This program is free software; you can redistribute it and/or
### modify it under the terms of the GNU General Public License
### as published by the Free Software Foundation; either version 2
### of the License, or (at your option) any later version.
###
### This program is distributed in the hope that it will be useful,
### but WITHOUT ANY WARRANTY; without even the implied warranty of
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
### GNU General Public License for more details.
###                                                                 
####################################################################

use strict;
use File::Spec;

my ($codetrain, @command, $line,  $filename, $directories, $volume);
my ($filename_nosuffix, @filename);
# check usage
if (@ARGV != 1) {
  print "usage: $0 FilesToBeConverted2mfc \n\n"; 
  exit (0);
}

# read in command line arguments
($codetrain) = @ARGV;

# open files
open (FILEIN,"$codetrain") || die ("Unable to open codetrain $codetrain file for reading");

# process each line one at a time
while ($line = <FILEIN>) {
  chomp ($line);
  ($volume,$directories,$filename) = File::Spec->splitpath( $line );
#  print "renaming: path:$directories; filename:$filename\n";
  @filename = split(/\./,$filename);
  $filename_nosuffix = shift(@filename);
 
# subversion - delete property of file in Working Copy (need to commit these changes to repository once you are completed)
# propdel converted_wav_to /home/kmaclean/workspace/VoxForge/Trunk/Audio/MFCC/8kHz:16bit/MFCC_0_D/Adminvox-05232006/a0441.mfc
 @command = ("svn", "propdel", "converted_wav_to", $line );
   system(@command) == 0
     or die "system @command failed: $?";      
}
close(FILEIN);