#!/usr/bin/perl -w
####################################################################
###
###     script name : downsample.pl
### 	version: 1.0
###		modified by: Ken MacLean
###		mail: kmaclean@voxforge.org
###		Date: 2006.5.9
###     Command: ./renamefiles.pl FilesToBeRenamed2MFCC
###
### Copyright (C) 2006 Ken MacLean
###
### This program is free software; you can redistribute it and/or
### modify it under the terms of the GNU General Public License
### as published by the Free Software Foundation; either version 2
### of the License, or (at your option) any later version.
###
### This program is distributed in the hope that it will be useful,
### but WITHOUT ANY WARRANTY; without even the implied warranty of
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
### GNU General Public License for more details.
###                                                                 
####################################################################

use strict;
use File::Spec;

my ($targetrate, $codetrain, @command, $line,  $file, $directories, $volume);

# check usage
if (@ARGV != 2) {
  print "usage: $0 FilesToBeDownsampled targetrate \n\n"; 
  exit (0);
}

# read in command line arguments
($codetrain, $targetrate) = @ARGV;

# open files
open (FILEIN,"$codetrain") || die ("Unable to open codetrain $codetrain file for reading");

# process each prompt one at a time
while ($line = <FILEIN>) {
  chomp ($line);
  ($volume,$directories,$file) = File::Spec->splitpath( $line );
  print "downsampling:$file\n";
  
# sox 
  # rate: -r 8000, 16000, 44100, 48000 ...
  # data size: -b -> 8-bit; -w -> 16-bit; -l 32-bit     
  @command = ("sox", $line, "-r $targetrate -w", "$directories\/temp-$file");
  system(@command) == 0
     or die "system @command failed: $?"; 
  @command = ("mv", "$directories\/temp-$file", "$directories\/$file");
  system(@command) == 0
     or die "system @command failed: $?"; 
     
}

close(FILEIN);

